pkgname=gnome-shell-extension-legacy-theme-auto-switcher
pkgver=9
pkgrel=1
pkgdesc="Changes the GTK3 (legacy) theme variant to light/dark when the scheme is changed from Settings."
arch=('any')
url="https://github.com/mukul29/legacy-theme-auto-switcher-gnome-extension"
license=('GPL3')
depends=('gnome-shell')
makedepends=('git')
_commit=3d6b167b458893e1aa2abc77fb8df0e17fc137b8
source=("git+https://github.com/mukul29/legacy-theme-auto-switcher-gnome-extension#commit=$_commit")
sha256sums=('ed4f86b210d255cec0a7bfe8feeb2e6bfa6af76cb10991e2d63ebbaf357ae37e')

package() {
  cd "$srcdir/legacy-theme-auto-switcher-gnome-extension"
  _uuid='legacyschemeautoswitcher@joshimukul29.gmail.com'

  install -d "$pkgdir/usr/share/gnome-shell/extensions/${_uuid}"
  install -Dm644 "${srcdir}"/legacy-theme-auto-switcher-gnome-extension/metadata.json "$pkgdir/usr/share/gnome-shell/extensions/${_uuid}/"
  install -Dm644 "${srcdir}"/legacy-theme-auto-switcher-gnome-extension/extension.js "$pkgdir/usr/share/gnome-shell/extensions/${_uuid}/"
}
